basdat/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import fitur5.urls as fitur5

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^fitur5', include(('fitur5.urls','fitur5'), namespace='fitur5')),
    url(r'^fitur6', include(('fitur6.urls','fitur6'), namespace='fitur6')),
    url(r'^fitur3', include(('fitur3.urls','fitur3'), namespace='fitur3')),
    url(r'^fitur4', include(('fitur4.urls','fitur4'), namespace='fitur4')),
]

fitur3/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index, name='index'),
]

fitur4/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index, name='index'),
]

fitur5/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index, name='index'),
]

fitur6/urls.py
from django.conf.urls import url
from .views import index, infobea

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^infobea/$', infobea, name='infobea'),
]

blog/models.py
from django.db import models
from django.utils import timezone


class Post(models.Model):
    author = models.ForeignKey('auth.User', on_delete=models.CASCADE)
    title = models.CharField(max_length=200)
    text = models.TextField()
    created_date = models.DateTimeField(
            default=timezone.now)
    published_date = models.DateTimeField(
            blank=True, null=True)

    def publish(self):
        self.published_date = timezone.now()
        self.save()

    def __str__(self):
        return self.title

fitur3/models.py
from django.db import models

# Create your models here.

fitur4/models.py
from django.db import models

# Create your models here.

fitur5/models.py
from django.db import models

# Create your models here.

fitur6/models.py
from django.db import models

# Create your models here.

fitur5/forms.py
from django import forms

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    title_attrs = {
        'type': 'text',
        'class': 'todo-form-input',
        'placeholder':'Masukan judul...'
    }
    description_attrs = {
        'type': 'text',
        'cols': 50,
        'rows': 4,
        'class': 'todo-form-textarea',
        'placeholder':'Masukan deskripsi...'
    }

    title = forms.CharField(label='', required=True, max_length=27, widget=forms.TextInput(attrs=title_attrs))
    description = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=description_attrs))

fitur6/forms.py
from django import forms

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    title_attrs = {
        'type': 'text',
        'class': 'todo-form-input',
        'placeholder':'Masukan judul...'
    }
    description_attrs = {
        'type': 'text',
        'cols': 50,
        'rows': 4,
        'class': 'todo-form-textarea',
        'placeholder':'Masukan deskripsi...'
    }

    title = forms.CharField(label='', required=True, max_length=27, widget=forms.TextInput(attrs=title_attrs))
    description = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=description_attrs))

blog/views.py
from django.shortcuts import render

# Create your views here.

fitur3/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    html = 'fitur3/DONATUR.html'
    return render(request, html)

fitur4/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    html = 'fitur4/beasiswa.html'
    return render(request, html)

fitur5/views.py
from django.shortcuts import render

# Create your views here.

def index(request):
    html = 'fitur5/form-pendaftaran-beasiswa.html'
    return render(request, html)

fitur6/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    html = 'fitur6/daftar-mahasiswa-mendaftar.html'
    return render(request, html)

def infobea(request):
    print ("#==> dashboard")
    html = 'fitur6/detail-beasiswa.html'
    return render(request, html)

fitur3/templates/fitur3/DONATUR.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>

<script type="text/JavaScript" src="static/js/DONATUR.js"></script>
<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
		<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">

<style>
		body,h1,h2,h3,h4,h5,h6 {font-family: "Lato", sans-serif}
		.w3-bar,h1,button {font-family: "Montserrat", sans-serif}
		.fa-anchor,.fa-coffee {font-size:200px}

  .button {
  display: inline-block;
  border-radius: 4px;
  background-color: #f4511e;
  border: none;
  color: #FFFFFF;
  text-align: center;
  font-size: 10px;
  padding: 13px;
  width: 100px;
  transition: all 0.5s;
  cursor: pointer;
  margin: 5px;
}

.button span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

.button span:after {
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}

.button:hover span {
  padding-right: 25px;
}

.button:hover span:after {
  opacity: 1;
  right: 0;
}

		</style>

<nav class='main hList inactive'>
  <div class="tab active"><span>PAKET
    BARU</span></div><!--
  --><div class="tab"><span>BEASISWA BARU</span></div>
</nav>

<page id="home">
  <span class="pagetag">DONATUR</span>
  <section class="header">
    <div>
      <h2><span>MEMBUAT BEASISWA BARU</span></h2>
      <h5>BY DONATUR</h5>
    </div>
    <div class='logo'></div>
  </section>
  <section id="grid_wrapper" class="init">
    <card>
      <div>
        <span>PAKET BARU</span>
      </div>
    </card>
    <card>
      <div>
        <span>BEASISWA BARU</span>
      </div>
    </card>
  </section>
</page>

<div id="content_wrapper" class='inactive'>
  <button class="close">&#xf00d;</button>

 <div class='content'>
    <section>
      <h2>Buat Paket Beasiswa Baru</h2>
      <form class="form-horizontal" action="/action_page.php">
			<div class="form-group">
			  <label class="control-label col-sm-2" for="code">Kode:              </label>
			  <div class="col-sm-10">
				<input type="code" class="form-control" id="code" placeholder="eg: 13" name="code">
			  </div>
			</div>

			<div class="form-group">
			  <label class="control-label col-sm-2" for="name">Nama Paket Beasiswa:             </label>
			  <div class="col-sm-10">
				<input type="name" class="form-control" id="name" placeholder="eg: beasiswa tugas akhir Hand, Crona" name="name">
			  </div>
			</div>


        <div class="form-group">
			  <label class="control-label col-sm-2" for="code"> Jenis Paket Beasiswa:</label>
  <select>
  <option value="volvo">Prestasi Akademik</option>
  <option value="saab">Bantuan Belajar</option>
  <option value="opel">Tugas Akhir</option>
    <option value="audi">Others..</option>
    </select>
			</div>

         <div class="form-group">
			  <label class="control-label col-sm-2" for="desc">Deskripsi:              </label>
			  <div class="col-sm-10">
				<input type="text" class="form-control" id="desc" placeholder="eg: keterangan beasiswa" name="desc">
			  </div>
			</div>

			<div class="form-group">
			  <label class="control-label col-sm-2" for="syarat">Syarat Beasiswa:             </label>
			  <div class="col-sm-10">
				<input type="text" class="form-control" id="syarat" placeholder="eg: persyaratan1,2,3..." name="syarat">
			  </div>
			</div>

		    <div class="form-group">
			  <div class="col-sm-offset-2 col-sm-10">
				 <button class="button" style="vertical-align:middle"><span>Submit </span></button>
			  </div>
			</div>
		  </form>
		</div>
    </section>

  <div class='content'>
    <section>
      <h2>Tambah Beasiswa Baru Dari Paket</h2>
      <form class="form-horizontal" action="/action_page.php">
			<div class="form-group">
			  <label class="control-label col-sm-2" for="code">Kode Beasiswa:             </label>
			 <select>
  <option value="volvo">1</option>
  <option value="saab">2</option>
  <option value="opel">3</option>
  <option value="audi">4</option>
  <option value="audi">5</option>
  <option value="audi">6</option><option value="audi">7</option><option value="audi">8</option><option value="audi">9</option><option value="audi">10</option><option value="audi">11</option><option value="audi">12</option><option value="audi">13</option><option value="audi">14</option><option value="audi">15</option><option value="audi">16</option><option value="audi">17</option><option value="audi">18</option><option value="audi">19</option><option value="audi">20</option><option value="audi">21</option><option value="audi">22</option><option value="audi">23</option><option value="audi">24</option><option value="audi">25</option><option value="audi">26</option><option value="audi">27</option><option value="audi">28</option><option value="audi">29</option><option value="audi">30</option><option value="audi">31</option><option value="audi">32</option><option value="audi">33</option><option value="audi">34</option><option value="audi">35</option><option value="audi">36</option><option value="audi">37</option><option value="audi">38</option><option value="audi">39</option><option value="audi">40</option><option value="audi">41</option><option value="audi">42</option><option value="audi">43</option><option value="audi">44</option><option value="audi">45</option><option value="audi">46</option><option value="audi">47</option><option value="audi">48</option><option value="audi">49</option><option value="audi">50</option>
</select>
			</div>

			<div class="form-group">
			  <label class="control-label col-sm-2" for="number">Nomor Urut:             </label>
			  <div class="col-sm-10">
				<input type="number" class="form-control" id="name" placeholder="eg: 1" name="number">
			  </div>
			</div>

			<div class="form-group">
			  <label class="control-label col-sm-2" for="datetime">Tanggal Mulai Pendaftaran:             </label>
			  <div class="col-sm-10">
				<input id= "date" type="date" class="form-control" id="datetime" placeholder="eg: 13 Mei 2013" name="datetime">
			  </div>
			</div>

			<div class="form-group">
			  <label class="control-label col-sm-2" for="datetime2">Tanggal Tutup Pendaftaran:             </label>
			  <div class="col-sm-10">
				<input id= "date" type="date" class="form-control" id="datetime2" placeholder="eg: 13 Mei 2023" name="datetime2">
			  </div>
			</div>

			<div class="form-group">
			  <div class="col-sm-offset-2 col-sm-10">
				<button class="button" style="vertical-align:middle"><span>Submit</span></button>
			  </div>
			</div>
		  </form>
		</div>

  </div>
</div>
<div id="footer">
  <span style="display:block;font-size:0.9em;line-height:55px;"><span style="display:inline-block;">&copy; <span style="font-family:'Titillium Web';font-weight:900;letter-spacing:0.06em">Faculty of Computer Science, University of Indonesia</span> SIMBION A-14</span></span>
  <span style="display:block;font-size:0.7em;line-height:30px;margin-top:-25px;color:rgba(255,255,255,0.15)">&lang; --TK4 BASDAT A-- &rang;<span>
</div>

fitur4/templates/fitur4/beasiswa.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en" >

<head>

  <meta charset="UTF-8">
  <title>Mendaftar Calon Penerima Beasiswa</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'css/fitur5.css' %}" />



</head>
<div class="table-beasiswa">
   <div class="header">List Beasiswa</div>

   <table cellspacing="0">
      <tr>
		 <th>Logo</th>
         <th>Nomor</th>
         <th>Nama Beasiswa</th>
         <th>Waktu Tutup Pendaftaran</th>
         <th>Status Beasiswa</th>
         <th>Jumlah Pendaftar</th>
      </tr>

      <tr>
         <td><img src="https://previews.123rf.com/images/ahasoft2000/ahasoft20001704/ahasoft2000170400406/75278349-global-company-branches-vector-icon-flat-bicolor-eco-green-and-gray-symbol-pictogram-is-isolated-on-.jpg"></td>
         <td>50</td>
         <td>Beasiswa Tugas Akhir Turcotte</td>
         <td>26 Oktober 2013</td>
		 <td>Aktif</td>
         <td>0</td>
      </tr>

      <tr>
         <td><img src="https://thumbs.dreamstime.com/b/advocacy-legal-center-vector-icon-justice-scales-juridical-emblem-advocate-attorney-office-heraldic-laurel-85586999.jpg"></td>
         <td>44</td>
         <td>Nomor_Prestasi Schinner, Emmirech</td>
         <td>16 Agustus 2014</td>
		 <td>Aktif</td>
         <td>0</td>
      </tr>

      <tr>
         <td><img src="https://d2gg9evh47fn9z.cloudfront.net/800px_COLOURBOX24561300.jpg"></td>
         <td>38</td>
         <td>Nomor_Bantun Belajar Cassin, Leannon</td>
         <td>20 September 2016</td>
		 <td>Aktif</td>
         <td>0</td>
      </tr>

   </table>
</div>
</html>

fitur5/templates/fitur5/form-pendaftaran-beasiswa.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en" >

<head>

  <meta charset="UTF-8">
  <title>Mendaftar Calon Penerima Beasiswa</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'css/fitur5.css' %}" />



</head>


<body>

   <header style="padding:10px 16px">
      <h1 align="center" style="padding:10px 50px">FORM PENDAFTARAN BEASISWA</h1>

       <div class="mainContainer">

        <div class="container">
  <form action="/action_page.php">
      <div class="row">
      <div class="col-25">
        <label for="country">Kode Beasiswa :</label>
      </div>
      <div class="col-75">
        <select id="country" name="country">
          <option value="australia">23</option>
          <option value="canada">45</option>
          <option value="usa">14</option>
        </select>
      </div>
    </div>
    <div class="row">
      <div class="col-25">
        <label for="fname">NPM : </label>
      </div>
      <div class="col-75">
        <input type="text" id="fname" name="firstname" placeholder="1872837763">
      </div>
    </div>
    <div class="row">
      <div class="col-25">
        <label for="lname">Email :</label>
      </div>
      <div class="col-75">
        <input type="text" id="lname" name="lastname" placeholder="basdattt@ui.ac.id">
      </div>
    </div>

     <div class="row">
      <div class="col-25">
        <label for="fname">Indeks Prestasi Semester : </label>
      </div>
      <div class="col-75">
        <input type="text" id="fname" name="firstname" placeholder="e.g: 3.99">
      </div>
    </div>

    <div class="row">
      <button class="button">Submit</button>
    </div>
  </form>
</div>
      </div>

     <div class="footer" padding=20px>
   <p> Faculty of Computer Science, University of Indonesia || &copy; SIMBION A-14 </p>

</body>

</html>

fitur6/templates/fitur6/daftar-beasiswa.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en" >

<head>
  <meta charset="UTF-8">
  <title>Daftar Beasiswa</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/fitur5.css' %}" />

</head>


<body>
   <h1 align="center" style="padding:10px 50px">Daftar Beasiswa</h1>

<div class="table-beasiswa">


   <table cellspacing="0">
      <tr>

         <th>No Urut Skema Beasiswa</th>
         <th>Kode Skema </th>
         <th>Waktu Tutup Pendaftaran</th>
         <th>Status Beasiswa</th>
         <th>Jumlah Pendaftar</th>
      </tr>

      <tr>

         <td>50</td>
         <td><a href="{% url 'fitur6:infobea' %}" >Beasiswa Tugas Akhir Turcotte</a></td>
         <td>26 Oktober 2013</td>
		 <td>Ditutup</td>
         <td>235</td>
      </tr>

      <tr>

         <td>44</td>
          <td><a href="{% url 'fitur6:infobea' %}">Nomor_Prestasi Schinner, Emmirech</a></td>
         <td>16 Agustus 2014</td>
		 <td>Ditutup</td>
         <td>96</td>
      </tr>

      <tr>

         <td>38</td>
         <td><a href="{% url 'fitur6:infobea' %}" >Nomor_Bantun Belajar Cassin, Leannon</a></td>
         <td>20 September 2016</td>
		 <td>Ditutup</td>
         <td>78</td>
      </tr>


   </table>

</div>

    <div class="footer">
   <p> Faculty of Computer Science, University of Indonesia || &copy; SIMBION A-14 </p>
</div>

</body>

</html>

fitur6/templates/fitur6/daftar-mahasiswa-mendaftar.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en" >

<head>
  <meta charset="UTF-8">
  <title>Responsive Table</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/fitur5.css' %}" />


</head>

<body>

    <h1 align="center" style="padding:10px 50px">Daftar Mahasiswa yang mendaftar</h1>
<div class="table-beasiswa">


   <table cellspacing="0">
      <tr>

         <th>No Urut Pendaftar</th>
         <th>Nama </th>
         <th>NPM</th>
         <th>Waktu Daftar</th>
         <th>Status Terima</th>
         <th>Pilih</th>
      </tr>

      <tr>

         <td>50</td>
         <td>Hwang Minhyun</td>
         <td>6328362281</td>
		 <td>1 May 2018</td>
         <td>Tidak Aktif</td>
         <td><button class="buttony button1">Terima</button>
<button class="buttony button3">Tolak</button>
         </td>
      </tr>

      <tr>

         <td>44</td>
          <td>Park Hae Jin</td>
         <td>1709373357</td>
		 <td>1 Jan 2018</td>
         <td>Tidak Aktif</td>
         <td><button class="buttony button1">Terima</button>
<button class="buttony button3">Tolak</button>
         </td>
      </tr>

      <tr>

         <td>38</td>
         <td>Daniel Kang </td>
         <td>1606876625</td>
		 <td>1 Apr 2018</td>
         <td>Tidak Aktif</td>
         <td><button class="buttony button1">Terima</button>
<button class="buttony button3">Tolak</button>
         </td>
      </tr>


   </table>

</div>

    <div class="footer">
   <p> Faculty of Computer Science, University of Indonesia || &copy; SIMBION A-14 </p>
</div>

</body>


</html>

fitur6/templates/fitur6/detail-beasiswa.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en" >

<head>
  <meta charset="UTF-8">
  <title>Responsive Table</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/fitur5.css' %}" />

</head>

<body>

   <header style="padding:10px 16px">
      <h1 align="center" style="padding:10px 50px">[Nama Skema Beasiswa] - [Kode Skema Beasiswa]</h1>

       <div class="mainContainer">
        <div class="container">
           <p>Beasiswa ini adalah beasiswa bantuan biaya pendidikan yang diberikan oleh Bank of Tokyo - Mitsubishi UFJ Scholarship untuk periode semester ganjil 2017/2018 sampai semester genap 2018/2019. </p>
           <br>
           <p><b>Syarat Beasiswa:</b></p>

           <p>1. Berkewarganegaraan Indonesia (melampirkan fotokopi Kartu Tanda Penduduk (KTP))
<br> 2. mahasiswa program Sarjana Fakultas Ekonomi dan Bisnis berstatus akademik aktif yang duduk minimal di semester 4 (melampirkan fotokopi KTM)
<br> 3. memiliki Indeks Prestasi Kumulatif (IPK) minimal 3,25 (melampirkan transkrip nilai terakhir)
<br> 4.memiliki kemampuan berbahasa Inggris aktif (tulis dan lisan)
<br> 5. melampirkan surat keterangan berperilaku baik dari fakultas</p>
           <br>

            <button onclick="location.href='/fitur5'" class="button">Daftar beasiswa ini</button>

</div>

      </div>


     <div class="footer" padding=20px>
   <p> Faculty of Computer Science, University of Indonesia || &copy; SIMBION A-14 </p>

</body>


</html>